<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm_av.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $unidade = $_POST['unidade'];
    $grup = $_POST['grup'];
    $nome = $_POST['nome'];
    $select_g=$pdo_sgt->prepare("SELECT * FROM tb_voip_cap WHERE unidade=:unidade AND grup=:grup");
    $select_g->bindValue(":unidade",$unidade);
    $select_g->bindValue(":grup",$grup);
    $select_g->execute();
    $array_g = $select_g->fetch(PDO::FETCH_ASSOC);
    $select_n=$pdo_sgt->prepare("SELECT * FROM tb_voip_cap WHERE unidade=:unidade AND nome=:nome");
    $select_n->bindValue(":unidade",$unidade);
    $select_n->bindValue(":nome",$nome);
    $select_n->execute();
    $array_n = $select_n->fetch(PDO::FETCH_ASSOC);
    if($array_g['grup'] == $grup){
        echo"<script language='javascript' type='text/javascript'>
            alert('Este Grupo de Captura para esta Unidade já existe!');
            window.history.go(-1)>Volta;
        </script>";
    }else{
        if($array_n['nome'] == $nome){
            echo"<script language='javascript' type='text/javascript'>
                alert('Este Nome de Grupo de Captura para esta Unidade já existe!');
                window.history.go(-1)>Volta;
            </script>";
        }else{
            $query=$pdo_sgt->prepare("INSERT INTO tb_voip_cap (unidade,grup,nome) VALUES (:unidade,:grup,:nome)");
            $query->bindValue(":unidade",$unidade);
            $query->bindValue(":grup",$grup);
            $query->bindValue(":nome",$nome);
            $query->execute();
            $mensagem = "Dados inseridos na tabela: tb_voip_cap - Para os campos: unidade, grup e nome - Com os seguintes valores: $unidade, $grup e $nome.";
            salvaLog($mensagem);
            echo"<script language='javascript' type='text/javascript'>
                window.history.go(-1)>Volta;
            </script>";
        }
    }
?>